ros-rolling-rosbag2-cpp (0.27.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 30 Apr 2024 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.26.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 Apr 2024 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.26.0-1noble) noble; urgency=high

  * Support service 2/2 --- rosbag2 service play (#1481 <https://github.com/ros2/rosbag2/issues/1481>)
  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Update to use yaml-cpp version 0.8.0. (#1605 <https://github.com/ros2/rosbag2/issues/1605>)
  * Contributors: Barry Xu, Chris Lalancette, jmachowinski, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.25.0-1noble) noble; urgency=high

  * Use std::filesystem instead of rcpputils::fs (#1576 <https://github.com/ros2/rosbag2/issues/1576>)
  * Make some changes for newer versions of uncrustify. (#1578 <https://github.com/ros2/rosbag2/issues/1578>)
  * Add topic_id returned by storage to the TopicMetadata (#1538 <https://github.com/ros2/rosbag2/issues/1538>)
  * call cv.wait_until only if necessary. (#1521 <https://github.com/ros2/rosbag2/issues/1521>)
  * Implement service recording and display info about recorded services (#1480 <https://github.com/ros2/rosbag2/issues/1480>)
  * Switch to target_link_libraries everywhere. (#1504 <https://github.com/ros2/rosbag2/issues/1504>)
  * Use enum values for offered_qos_profiles in code and string names in serialized metadata (#1476 <https://github.com/ros2/rosbag2/issues/1476>)
  * ros2 bag convert now excludes messages not in [start_time;end_time] (#1455 <https://github.com/ros2/rosbag2/issues/1455>)
  * Replace TSAUniqueLock implementation with rcpputils::unique_lock (#1454 <https://github.com/ros2/rosbag2/issues/1454>)
  * Add BagSplitInfo service call on bag close (#1422 <https://github.com/ros2/rosbag2/issues/1422>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Michael Orlov, Patrick Roncagliolo, Peter Favrholdt, Roman Sokolkov, Tomoya Fujita

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 27 Mar 2024 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.24.0-1noble) noble; urgency=high

  * Rewrite TimeControllerClockTest.unpaused_sleep_returns_true to be correct (#1384 <https://github.com/ros2/rosbag2/issues/1384>)
  * Implement storing and loading ROS_DISTRO from metadata.yaml and mcap files (#1241 <https://github.com/ros2/rosbag2/issues/1241>)
  * Don't crash when type definition cannot be found (#1350 <https://github.com/ros2/rosbag2/issues/1350>)
  * Add recorder stop() API (#1300 <https://github.com/ros2/rosbag2/issues/1300>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.23.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.22.0-1noble) noble; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Fix for flaky TimeControllerClockTest::unpaused_sleep_returns_true test (#1290 <https://github.com/ros2/rosbag2/issues/1290>)
  * Contributors: Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.21.0-1noble) noble; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Fix rwm->rmw spelling (#1249 <https://github.com/ros2/rosbag2/issues/1249>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.20.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.19.0-1noble) noble; urgency=high

  * Expose more Writer methods in python interface (#1220 <https://github.com/ros2/rosbag2/issues/1220>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Parametrize all rosbag2_tests for both supported storage plugins (#1221 <https://github.com/ros2/rosbag2/issues/1221>)
  * rosbag2_cpp: test more than one storage plugin (#1196 <https://github.com/ros2/rosbag2/issues/1196>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * set_read_order: return success (#1177 <https://github.com/ros2/rosbag2/issues/1177>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Add update_metadata(BagMetadata) API for storage plugin interface (#1149 <https://github.com/ros2/rosbag2/issues/1149>)
  * Reader and writer can use default storage by not specifying (#1167 <https://github.com/ros2/rosbag2/issues/1167>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.18.0-1noble) noble; urgency=high

  * rosbag2_storage: expose default storage ID as method (#1146 <https://github.com/ros2/rosbag2/issues/1146>)
  * Don't reopen file for every seek if we don't have to. Search directionally for the correct file (#1117 <https://github.com/ros2/rosbag2/issues/1117>)
  * Add SplitBagfile recording service. (#1115 <https://github.com/ros2/rosbag2/issues/1115>)
  * Reverse read order API and sqlite storage implementation (#1083 <https://github.com/ros2/rosbag2/issues/1083>)
  * Replace std::filesystem::path(..) with rcpputils::fs::path(..) (#1104 <https://github.com/ros2/rosbag2/issues/1104>)
  * Fix issue where sequentialwriter only sets metadata duration to the duration of the final file (#1098 <https://github.com/ros2/rosbag2/issues/1098>)
  * Delete obsolete compression_options.cpp from rosbag2_cpp (#1078 <https://github.com/ros2/rosbag2/issues/1078>)
  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>)
  * Remove deprecated rosbag2_cpp/storage_options.hpp, for post-Humble releases (#1064 <https://github.com/ros2/rosbag2/issues/1064>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms, rshanor

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.17.0-1noble) noble; urgency=high

  * Speed optimization: Preparing copyless publish/subscribing by using const message for writing (#1010 <https://github.com/ros2/rosbag2/issues/1010>)
  * Add the ability to record any key/value pair in 'custom' field in metadata.yaml (#1038 <https://github.com/ros2/rosbag2/issues/1038>)
  * Notification of significant events during bag recording and playback (#908 <https://github.com/ros2/rosbag2/issues/908>)
  * Bugfix for "Playing the bags recorded with split by duration/size is playing only the last recorded .db3." (#1022 <https://github.com/ros2/rosbag2/issues/1022>)
  * Improve test_time_controller test (#1012 <https://github.com/ros2/rosbag2/issues/1012>)
  * Contributors: DensoADAS, Geoffrey Biggs, Hunter L. Allen, Jorge Perez, Kaju-Bubanja, Michael Orlov, Joshua Hampp, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.16.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.15.1-1noble) noble; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.15.0-1noble) noble; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.14.1-1noble) noble; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.14.0-1noble) noble; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.13.0-1noble) noble; urgency=high

  * Fix relative path syntax for cpplint (#947 <https://github.com/ros2/rosbag2/issues/947>)
  * Mark up the message_cache with TSA annotations (#946 <https://github.com/ros2/rosbag2/issues/946>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.12.0-1noble) noble; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * Redesign in cache consumer and circular message cache to get rid from busy loop (#941 <https://github.com/ros2/rosbag2/issues/941>)
  * Bugfix for broken bag split when using cache (#936 <https://github.com/ros2/rosbag2/issues/936>)
  * Remove JumpHandler copy-implementation from PlayerClock/TimeControllerClock (#935 <https://github.com/ros2/rosbag2/issues/935>)
  * Auto-detect storage_id for Reader (if possible) (#918 <https://github.com/ros2/rosbag2/issues/918>)
  * Contributors: Chris Lalancette, Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.11.0-1noble) noble; urgency=high

  * Add --start-paused option to ros2 bag play (#904 <https://github.com/ros2/rosbag2/issues/904>)
  * Use the message_introspection header to get MessageMember. (#903 <https://github.com/ros2/rosbag2/issues/903>)
  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Fix converter plugin choices for record (#897 <https://github.com/ros2/rosbag2/issues/897>)
  * Enable sanitizers only if code actually can run (#572 <https://github.com/ros2/rosbag2/issues/572>)
  * Need to pass introspection TS to converter plugin for it to be useful (#896 <https://github.com/ros2/rosbag2/issues/896>)
  * Don't preprocess a storage file more than once (#895 <https://github.com/ros2/rosbag2/issues/895>)
  * Contributors: Chris Lalancette, Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo, Shane Loretz, sonia

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.10.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.10.0-1noble) noble; urgency=high

  * Fix a bug on invalid pointer address when using "MESSAGE" compressio… (#866 <https://github.com/ros2/rosbag2/issues/866>)
  * Metadata per file info (#870 <https://github.com/ros2/rosbag2/issues/870>)
  * Fix TSA warnings when building with clang thread analysis. (#877 <https://github.com/ros2/rosbag2/issues/877>)
  * Implement snapshot mechanism and corresponding ROS Service (#850 <https://github.com/ros2/rosbag2/issues/850>)
  * Circular Message Cache implementation for snapshot feature (#844 <https://github.com/ros2/rosbag2/issues/844>)
  * Fix discovery silently stops after unknown msg type is found. (#848 <https://github.com/ros2/rosbag2/issues/848>)
  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * fix sequential reader rollover-to-next-file strategy: (#839 <https://github.com/ros2/rosbag2/issues/839>)
  * Load compression and serialization choices via plugin query (#827 <https://github.com/ros2/rosbag2/issues/827>)
  * Workaround for false positive findings by clang thread safety analysis in time controller jump callbacks API. (#799 <https://github.com/ros2/rosbag2/issues/799>)
  * Add callbacks for PlayerClock::jump(time_point) API with CI fix (#779 <https://github.com/ros2/rosbag2/issues/779>)
  * Revert "Add callbacks for PlayerClock::jump(time_point) API (#775 <https://github.com/ros2/rosbag2/issues/775>)" (#778 <https://github.com/ros2/rosbag2/issues/778>)
  * Add callbacks for PlayerClock::jump(time_point) API (#775 <https://github.com/ros2/rosbag2/issues/775>)
  * Contributors: Barry Xu, Cameron Miller, Chris Lalancette, Emerson Knapp, Lei Liu, Michael Orlov, Wojciech Jaworski, sonia

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.9.0-1noble) noble; urgency=high

  * Naive clock jump implementation - allows for clock reuse and simplified Player setup (#754 <https://github.com/ros2/rosbag2/issues/754>)
  * Rename Reader/Writer 'reset' to 'close' (#760 <https://github.com/ros2/rosbag2/issues/760>)
  * Expose pause/resume related services on the Player (#729 <https://github.com/ros2/rosbag2/issues/729>)
  * player owns the reader (#725 <https://github.com/ros2/rosbag2/issues/725>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.8.0-1noble) noble; urgency=high

  * Add set_rate to PlayerClock (#727 <https://github.com/ros2/rosbag2/issues/727>)
  * Enforce non-null now_fn in TimeControllerClock (#731 <https://github.com/ros2/rosbag2/issues/731>)
  * Fix pause snapshot behavior and add regression test (#730 <https://github.com/ros2/rosbag2/issues/730>)
  * Pause/resume PlayerClock (#704 <https://github.com/ros2/rosbag2/issues/704>)
  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Enable thread safety analysis for rosbag2_cpp and add annotations in TimeControllerClock (#710 <https://github.com/ros2/rosbag2/issues/710>)
  * PlayerClock initial implementation - Player functionally unchanged (#689 <https://github.com/ros2/rosbag2/issues/689>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)
    Add a new C++ Reindexer class for reconstructing metadata from bags that are missing it.
  * use rclcpp serialized messages to write data (#457 <https://github.com/ros2/rosbag2/issues/457>)
  * Contributors: Emerson Knapp, Karsten Knese, jhdcs

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.7.0-1noble) noble; urgency=high

  * alternative write api (#676 <https://github.com/ros2/rosbag2/issues/676>)
  * RMW-implementation-searcher converter in rosbag2_cpp (#670 <https://github.com/ros2/rosbag2/issues/670>)
  * CLI query rosbag2_py for available storage implementations (#659 <https://github.com/ros2/rosbag2/issues/659>)
  * Fix --topics flag for ros2 bag play being ignored for all bags after the first one. (#619 <https://github.com/ros2/rosbag2/issues/619>)
  * Fix a crash in test_message_cache. (#635 <https://github.com/ros2/rosbag2/issues/635>)
  * Contributors: Alexander, Chris Lalancette, Emerson Knapp, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.6.0-1noble) noble; urgency=high

  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)
  * Deduplicate SequentialCompressionReader business logic, add fallback to find bagfiles in incorrectly-written metadata (#612 <https://github.com/ros2/rosbag2/issues/612>)
  * include what you use (#600 <https://github.com/ros2/rosbag2/issues/600>)
  * Only dereference the data pointer if it is valid. (#581 <https://github.com/ros2/rosbag2/issues/581>)
  * Contributors: Chris Lalancette, Emerson Knapp, Ivan Santiago Paunovic, P. J. Reed

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Feb 2021 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.5.0-1noble) noble; urgency=high

  * Add back rosbag2_cpp::StorageOptions as deprecated (#563 <https://github.com/ros2/rosbag2/issues/563>)
  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
  * Contributors: Adam Dąbrowski, Jacob Perron

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 02 Dec 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.4.0-1noble) noble; urgency=high

  * correct master build (#552 <https://github.com/ros2/rosbag2/issues/552>)
  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Mutex around writer access in recorder (#491 <https://github.com/ros2/rosbag2/issues/491>)
  * if cache data exists, it needs to flush the data into the storage before shutdown (#541 <https://github.com/ros2/rosbag2/issues/541>)
  * Change default cache size for sequential_writer to a non zero value (#533 <https://github.com/ros2/rosbag2/issues/533>)
  * SequentialWriter to cache by message size instead of message count (#530 <https://github.com/ros2/rosbag2/issues/530>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Remove some code duplication between SequentialWriter and SequentialCompressionWriter (#527 <https://github.com/ros2/rosbag2/issues/527>)
  * disable sanitizer by default (#517 <https://github.com/ros2/rosbag2/issues/517>)
  * Fix typo in error message (#475 <https://github.com/ros2/rosbag2/issues/475>)
  * introduce defaults for the C++ API (#452 <https://github.com/ros2/rosbag2/issues/452>)
  * Adding db directory creation to rosbag2_cpp (#450 <https://github.com/ros2/rosbag2/issues/450>)
  * comment out unused variable (#460 <https://github.com/ros2/rosbag2/issues/460>)
  * minimal c++ API test (#451 <https://github.com/ros2/rosbag2/issues/451>)
  * Add split by time to recording (#409 <https://github.com/ros2/rosbag2/issues/409>)
  * Contributors: Dirk Thomas, Jacob Perron, Jaison Titus, Karsten Knese, Marwan Taher, Michael Jeronimo, Patrick Spieler, jhdcs, Tomoya Fujita

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 19 Nov 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.3.2-1noble) noble; urgency=high

  * Add user provided split size to error (#430 <https://github.com/ros2/rosbag2/issues/430>)
    * Add user provided split size to error
    Signed-off-by: Anas Abou Allaban <mailto:aabouallaban@pm.me>
  * Make split size error clearer (#428 <https://github.com/ros2/rosbag2/issues/428>)
    Signed-off-by: Anas Abou Allaban <mailto:aabouallaban@pm.me>
  * Contributors: Anas Abou Allaban

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.3.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.3.0-1noble) noble; urgency=high

  * Fix playback of compressed bagfiles (#417 <https://github.com/ros2/rosbag2/issues/417>)
  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.8-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.7-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 12 May 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.6-1noble) noble; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.5-1noble) noble; urgency=high

  * Don't fail build if lsan isn't available (#397 <https://github.com/ros2/rosbag2/issues/397>)
  * Expose BaseReaderInterface's BagMetadata  (#377 <https://github.com/ros2/rosbag2/issues/377>)
  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Deduplicate code in SequentialCompressionReader (#372 <https://github.com/ros2/rosbag2/issues/372>)
  * rename rosidl_generator_c namespace to rosidl_runtime_c (#368 <https://github.com/ros2/rosbag2/issues/368>)
  * rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#366 <https://github.com/ros2/rosbag2/issues/366>)
  * added rosidl_runtime c and cpp depencencies (#310 <https://github.com/ros2/rosbag2/issues/310>)
  * Replace poco dependency by rcutils (#322 <https://github.com/ros2/rosbag2/issues/322>)
  * resolve relative file paths (#345 <https://github.com/ros2/rosbag2/issues/345>)
  * Add filter for reading selective topics (#302 <https://github.com/ros2/rosbag2/issues/302>)
  * default max bag size to 0 (#344 <https://github.com/ros2/rosbag2/issues/344>)
  * Transaction based sqlite3 inserts (#225 <https://github.com/ros2/rosbag2/issues/225>)
  * Add QoS to metadata (re-do #330 <https://github.com/ros2/rosbag2/issues/330>) (#335 <https://github.com/ros2/rosbag2/issues/335>)
  * Revert "Add QoS profiles field to metadata struct and provide serialization utilities (#330 <https://github.com/ros2/rosbag2/issues/330>)" (#334 <https://github.com/ros2/rosbag2/issues/334>)
  * Add QoS profiles field to metadata struct and provide serialization utilities (#330 <https://github.com/ros2/rosbag2/issues/330>)
  * Replace rcutils_get_file_size with rcpputils::fs::file_size (#291 <https://github.com/ros2/rosbag2/issues/291>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Fix ros2 bag play on split bags (#268 <https://github.com/ros2/rosbag2/issues/268>)
  * [compression] Add SequentialCompressionWriter (#260 <https://github.com/ros2/rosbag2/issues/260>)
  * Add unit test for SequentialReader when metadata file does not exist (#254 <https://github.com/ros2/rosbag2/issues/254>)
  * Move compression artifacts from rosbag2_cpp to rosbag2_compression (#257 <https://github.com/ros2/rosbag2/issues/257>)
  * Fix uncrustify warnings (#256 <https://github.com/ros2/rosbag2/issues/256>)
  * remove rosbag2 filesystem helper (#249 <https://github.com/ros2/rosbag2/issues/249>)
  * [Compression - 8] Enable reader to read from compressed files/messages (#246 <https://github.com/ros2/rosbag2/issues/246>)
  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * Contributors: Alejandro Hernández Cordero, Anas Abou Allaban, Dirk Thomas, Emerson Knapp, Karsten Knese, Mabel Zhang, Scott K Logan, Sriram Raghunathan, Zachary Michaels

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.4-1noble) noble; urgency=high

  * Load metadata from storage if no yaml file is found. (#210 <https://github.com/ros2/rosbag2/issues/210>)
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.3-1noble) noble; urgency=high

  * Enhance rosbag reader capabilities to read split bag files. (#206 <https://github.com/ros2/rosbag2/issues/206>)
  * Modular Reader/Writer API. (#205 <https://github.com/ros2/rosbag2/issues/205>)
  * Enhance rosbag writer capabilities to split bag files. (#185 <https://github.com/ros2/rosbag2/issues/185>)
  * Contributors: Karsten Knese, Zachary Michaels

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.2-1noble) noble; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 13 Nov 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.1-1noble) noble; urgency=high

  * Add get_identifier to base io-interfaces for support in bagfile splitting (#183 <https://github.com/ros2/rosbag2/issues/183>)
  * Add bagfile splitting support to storage_options (#182 <https://github.com/ros2/rosbag2/issues/182>)
  * Support for zero copy API (#168 <https://github.com/ros2/rosbag2/issues/168>)
  * Change storage interfaces for bagfile splitting feature (#170 <https://github.com/ros2/rosbag2/issues/170>)
  * Contributors: Karsten Knese, Zachary Michaels

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.2.0-1noble) noble; urgency=high

  * enable address sanitizers only on 64bit machines (#149 <https://github.com/ros2/rosbag2/issues/149>)
  * Export pluginlib to downstream packages (#113 <https://github.com/ros2/rosbag2/issues/113>)
  * Add support for parsing middle module name from type (#128 <https://github.com/ros2/rosbag2/issues/128>)
  * Contributors: David Hodo, Esteve Fernandez, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.1.2-1noble) noble; urgency=high

  * Fixes an init race condition (#93 <https://github.com/ros2/rosbag2/issues/93>)
    * This could probably be a race condition, for ex: When we've create a subscriber in the API, and the subscriber has the data already available in the callback (Cause of existing publishers) the db entry for the particular topic would not be availalble, which in turn returns an SqliteException. This is cause write_->create_topic() call is where we add the db entry for a particular topic. And, this leads to crashing before any recording.
    Locally I solved it by adding the db entry first, and if
    create_subscription fails, remove the topic entry from the db and also
    erase the subscription.
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix comments for pull request https://github.com/ros2/rosbag2/pull/93
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Added unit test case for remove_topics from db
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix unit tests failing by adding dependent test macros
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fixes the linter errors
  * Contributors: Sriram Raghunathan

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.1.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 09 May 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.1.0-1noble) noble; urgency=high

  * Handle message type name with multiple namespace parts (#114 <https://github.com/ros2/rosbag2/issues/114>)
  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * fix logging signature (#107 <https://github.com/ros2/rosbag2/issues/107>)
  * Compile tests (#103 <https://github.com/ros2/rosbag2/issues/103>)
  * Contributors: Dirk Thomas, Jacob Perron, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.0.5-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Dec 2018 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.0.4-1noble) noble; urgency=high

  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Contributors: Karsten Knese, Martin Idel

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 19 Dec 2018 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.0.2-1noble) noble; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Dec 2018 00:00:00 -0000

ros-rolling-rosbag2-cpp (0.0.1-1noble) noble; urgency=high

  * Split converters (#70 <https://github.com/ros2/rosbag2/issues/70>)
  * GH-144 Add missing pop for warning pragma (#68 <https://github.com/ros2/rosbag2/issues/68>)
  * Fix master build and small renamings (#67 <https://github.com/ros2/rosbag2/issues/67>)
  * rename topic_with_types to topic_metadata
  * use converter options
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * Renaming struct members for consistency (#64 <https://github.com/ros2/rosbag2/issues/64>)
  * Use converters when playing back files (#56 <https://github.com/ros2/rosbag2/issues/56>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)
  * Display bag summary using ros2 bag info (#45 <https://github.com/ros2/rosbag2/issues/45>)
  * Add entry point for converter plugins (#47 <https://github.com/ros2/rosbag2/issues/47>)
  * Extract recorder from rosbag2_transport, fix test naming (#44 <https://github.com/ros2/rosbag2/issues/44>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Add correct timing behaviour for rosbag play (#32 <https://github.com/ros2/rosbag2/issues/32>)
  * Improve sqlite usage and test stability (#31 <https://github.com/ros2/rosbag2/issues/31>)
  * Record and play multiple topics (#27 <https://github.com/ros2/rosbag2/issues/27>)
  * Allow an arbitrary topic to be recorded (#26 <https://github.com/ros2/rosbag2/issues/26>)
  * Use serialized message directly (#24 <https://github.com/ros2/rosbag2/issues/24>)
  * initial version of plugin based storage api (#7 <https://github.com/ros2/rosbag2/issues/7>)
  * add visibility macro (#22 <https://github.com/ros2/rosbag2/issues/22>)
  * (demo, sqlite3) First working rosbag2 implementation (#6 <https://github.com/ros2/rosbag2/issues/6>)
  * initial setup
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Karsten Knese, Martin Idel

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Dec 2018 00:00:00 -0000


